Subject: Re: [RFC] net: skbuff: let struct skb_ext live inside the head

From: Jakub Kicinski <[email-masked]>
Date: Wed, 15 Feb 2023 10:13:56 -0800

On Wed, 15 Feb 2023 10:43:32 +0100 Florian Westphal wrote:
> I think the cleaner solution would be to move the new extension ids
> into sk_buff itself (at the end, uninitialized data unless used).
> 
> Those extensions would always reside there and not in the slab object.

Do you mean the entire extension? 8B of metadata + (possibly) 32B 
of the key?

> Obviously that only makes sense for extensions where we assume
> that typical workload will require them, which might be a hard call to
> make.

I'm guessing that's the reason why Google is okay with putting the key
in the skb - they know they will use it most of the time. But an
average RHEL user may appreciate the skb growth for an esoteric protocol
to a much smaller extent :(